GDB (xrefs)

Public Member Functions | Private Attributes | List of all members
mi_console_file Class Reference

`#include "mi-console.h"`

Inheritance diagram for mi_console_file:

## Public Member Functions
| mi_console_file (ui_file *raw, const char *prefix, char quote)
void | set_raw (ui_file *raw)
void | flush () override
void | write (const char *buf, long length_buf) override
Public Member Functions inherited from ui_file
| ui_file ()
virtual | ~ui_file ()=0
void | printf (const char *,...) ATTRIBUTE_PRINTF(2
void void | putstr (const char *str, int quoter)
void | putstrn (const char *str, int n, int quoter)
int | putc (int c)
void | vprintf (const char *, va_list) ATTRIBUTE_PRINTF(2
virtual void | write_async_safe (const char *buf, long length_buf)
virtual void | puts (const char *str)
virtual long | read (char *buf, long length_buf)
virtual bool | isatty ()

## Private Attributes
ui_file * | m_raw
string_file | m_buffer
const char * | m_prefix
char | m_quote

## Detailed Description

Definition at line 26 of file mi-console.h.

## Constructor & Destructor Documentation

## ◆ mi_console_file()

mi_console_file::mi_console_file | ( | ui_file * | raw,
|  | const char * | prefix,
|  | char | quote
| ) |  |

Definition at line 33 of file mi-console.c.

## Member Function Documentation

## ◆ flush()

void mi_console_file::flush | ( |  | ) |
| override virtual

Reimplemented from ui_file.

Definition at line 52 of file mi-console.c.

References string_file::clear(), fputc_unfiltered(), fputs_unfiltered(), fputstrn_unfiltered(), gdb_flush(), m_buffer, m_prefix, m_quote, m_raw, string, and string_file::string().

Referenced by write().

## ◆ set_raw()

void mi_console_file::set_raw | ( | ui_file * | raw | ) |

Definition at line 86 of file mi-console.c.

References m_raw.

Referenced by mi_interp::set_logging().

## ◆ write()

void mi_console_file::write | ( | const char * | buf,
|  | long | length_buf
| ) |  |
| override virtual

Implements ui_file.

Definition at line 40 of file mi-console.c.

References string_file::c_str(), flush(), m_buffer, string_file::size(), and string_file::write().

Referenced by gdb._GdbFile::writelines().

## Member Data Documentation

## ◆ m_buffer

string_file mi_console_file::m_buffer
| private

Definition at line 47 of file mi-console.h.

Referenced by flush(), and write().

## ◆ m_prefix

const char* mi_console_file::m_prefix
| private

Definition at line 50 of file mi-console.h.

Referenced by flush().

## ◆ m_quote

char mi_console_file::m_quote
| private

Definition at line 53 of file mi-console.h.

Referenced by flush().

## ◆ m_raw

ui_file* mi_console_file::m_raw
| private

Definition at line 44 of file mi-console.h.

Referenced by flush(), and set_raw().

The documentation for this class was generated from the following files:

- /tmp/gdb-8.1/gdb/mi/mi-console.h
- /tmp/gdb-8.1/gdb/mi/mi-console.c